image: python:3.9

stages:
  - build
  - deploy

before_script:
  - python -m venv venv
  - source venv/bin/activate
  - pip install --upgrade pip

build:
  stage: build
  script:
    - pip install -r requirements.txt

deploy:
  stage: deploy
  script:
    - apt-get update
    - apt-get install -y sshpass
  only:
    - main
